Stats -- Initiate Processing

Begins processing statistics asynchronously, returning a request id to get the status and retrieve the results by calling GET /stats/{request_id}.

Stats for the whole company will be processed by default. An office_id can be provided to limit stats to a single office. A target_id and target_type can be provided to limit stats to a single target.

Added on May 3, 2018 for API v2.

Rate limit: 200 per hour.

Body Params
boolean | null

Whether or not the the statistics should be for trainees of the coach group with the given target_id.

boolean | null

Whether or not the the statistics should be for trainees of the coach team with the given target_id.

int64 | null
Defaults to 30

End of the date range to get statistics for.

This is the number of days to look back relative to the current day. Used in conjunction with days_ago_start to specify a range.

int64 | null
Defaults to 1

Start of the date range to get statistics for.

This is the number of days to look back relative to the current day. Used in conjunction with days_ago_end to specify a range.

string | null
enum
required

Whether to return aggregated statistics (stats), or individual rows for each record (records).

NOTE: For stat_type "csat" or "dispositions", only "records" is supported.

Allowed:
string | null
enum

This param is only applicable when the stat_type is specified as call. For call stats, group calls by user per day (default), get total metrics by day, or break down by department and call center (office only).

Allowed:
boolean | null

Whether or not the statistics are for the current day.

NOTE: days_ago_start and days_ago_end are ignored if this is passed in.

int64 | null

ID of the office to get statistics for.

If a target_id and target_type are passed in this value is ignored and instead the target is used.

string | null
enum
required

The type of statistics to be returned.

NOTE: if the value is "csat" or "dispositions", target_id and target_type must be specified.

int64 | null

The target's id.

string | null
enum

Target's type.

string | null
Defaults to UTC

Timezone using a tz database name.

Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json